# Interface methods for submodule: SpatialObjectReader
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: SpatialObjectReader
class SpatialObjectReaderProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Update(self) -> None:
		""""""
		...

	@overload
	def SetFileName(self, _arg) -> None:
		""""""
		...

	@overload
	def SetFileName(self, _arg: str) -> None:
		""""""
		...

	def GetFileName(self):
		""""""
		...

	def GetOutput(self):
		""""""
		...

	def GetGroup(self):
		""""""
		...

	def GetEvent(self):
		""""""
		...

	def SetEvent(self, event) -> None:
		""""""
		...

	def RegisterMetaConverter(self, metaTypeName, spatialObjectTypeName, converter) -> None:
		""""""
		...

